apiVersion: v1
kind: Service
metadata:
  name: {{ .Release.Name }}-db
  labels:
    app: {{ template "mssql.name" . }}
    chart: {{ .Chart.Name }}-{{ .Chart.Version | replace "+" "_" }}
    release: {{ .Release.Name }}
    heritage: {{ .Release.Service }}
{{- if .Values.service.annotations }}
  annotations:
{{ toYaml .Values.service.annotations | indent 4 }}
{{- end }}
spec:
  type: {{ .Values.service.type }}
  ports:
  - name: mssql
    port: {{ .Values.service.port }}
    targetPort: mssql
    protocol: TCP
  selector:
    app: {{ template "mssql.name" . }}
    release: {{ .Release.Name }}
